let test = await this.actor.setupCharacteristic("t", {skipTargets: true, appendTitle :  ` - ${this.effect.name}`, fields : {difficulty : "hard"}})
await Test.roll();
if (Test.Échoué)
{
    let roll = await new Roll("1d10").roll({allowInteractive : false});
    roll.toMessage(this.script.getChatData())

    this.script.message(await this.actor.applyBasicDamage(roll.total, {damageType : game.wfrp4e.config.DAMAGE_TYPE.IGNORE_AP, suppressMsg : true}))
}